Get student placement data
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/placement/{studentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/placement/{studentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/placement/{studentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Reading": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Language": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Vocabulary": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Social Studies": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Writing": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Science": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"FastMath": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Math": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"None": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
},
"Other": {
"startingGrade": 123,
"currentGrade": 123,
"highestGradeMastered": 123,
"subjectLowestGrade": 123,
"subjectHighestGrade": 123,
"RIT": {
"GROWTH": {
"score": 123,
"grade": 123
},
"SCREENING": {
"score": 123,
"grade": 123
}
},
"results": [
{
"testId": "<string>",
"title": "<string>",
"subject": "<string>",
"grade": 123,
"source": "<string>",
"score": 123,
"completedAt": "<string>",
"masteryTrackProcessed": true
}
],
"status": "<string>",
"nextTestId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}API Reference
Get student placement data
GET
/
powerpath
/
placement
/
{studentId}
Get student placement data
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourcedId of the student
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I